
DROP TABLE IF EXISTS `<DB_PREFIX>admins`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>admins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(25) CHARACTER SET latin1 NOT NULL,
  `password` varchar(64) CHARACTER SET latin1 NOT NULL,
  `salt` varchar(40) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `display_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `first_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `last_name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(100) CHARACTER SET latin1 NOT NULL,
  `birth_date` date NOT NULL DEFAULT '0000-00-00',
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL DEFAULT '',
  `avatar` varchar(125) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `role` enum('owner','mainadmin','admin') CHARACTER SET latin1 NOT NULL DEFAULT 'admin',
  `created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisited_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>admins` (`id`, `username`, `password`, `salt`, `display_name`, `first_name`, `last_name`, `email`, `birth_date`, `language_code`, `avatar`, `role`, `created_at`, `updated_at`, `lastvisited_at`, `is_active`) VALUES
(1, '<USERNAME>', '<PASSWORD>', '', '', '', '', '<EMAIL>', '0000-00-00', 'en', '', 'owner', '<CREATED_AT>', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>languages`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>languages` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name_native` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `lc_time_name` varchar(5) CHARACTER SET latin1 NOT NULL DEFAULT 'en_US',
  `direction` varchar(3) CHARACTER SET latin1 NOT NULL DEFAULT 'ltr',
  `icon` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `sort_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `used_on` enum('front-end','back-end','global') CHARACTER SET latin1 NOT NULL DEFAULT 'global',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>languages` (`id`, `name`, `name_native`, `code`, `lc_time_name`, `direction`, `icon`, `sort_order`, `used_on`, `is_default`, `is_active`) VALUES
(1, 'English', 'English', 'en', 'en_US', 'ltr', 'en.gif', 0, 'global', 1, 1);


DROP TABLE IF EXISTS `<DB_PREFIX>settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>settings` (
  `id` smallint(6) NOT NULL,
  `template` varchar(32) CHARACTER SET latin1 NOT NULL,
  `ssl_mode` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0 - no, 1 - entire site, 2 - admin only, 3 - user only',
  `date_format` varchar(10) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Y-m-d',
  `time_format` varchar(5) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'H:i:s',
  `datetime_format` varchar(16) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Y-m-d H:i:s',
  `time_zone` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `daylight_saving` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `week_startday` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `number_format` enum('european','american') CHARACTER SET latin1 NOT NULL,
  `general_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `mailer` varchar(20) CHARACTER SET latin1 NOT NULL DEFAULT 'phpMail',
  `smtp_secure` enum('ssl','tls','') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'ssl',
  `smtp_host` varchar(70) COLLATE utf8_unicode_ci NOT NULL,
  `smtp_port` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `smtp_username` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `smtp_password` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `wysiwyg_type` enum('none','tinymce') CHARACTER SET latin1 NOT NULL DEFAULT 'none',
  `rss_feed` tinyint(1) NOT NULL DEFAULT '1',
  `rss_feed_type` enum('rss1','rss2','atom') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'rss1',
  `rss_last_ids` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `is_offline` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `offline_message` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `caching_allowed` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `cache_lifetime` tinyint(3) unsigned NOT NULL DEFAULT '5' COMMENT 'in minutes',
  `google_rank` varchar(2) CHARACTER SET latin1 NOT NULL,
  `alexa_rank` varchar(12) CHARACTER SET latin1 NOT NULL,
  `cron_type` enum('batch','non-batch','stop') CHARACTER SET latin1 NOT NULL DEFAULT 'stop',
  `cron_run_last_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `cron_run_period` enum('minute','hour') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'hour',
  `cron_run_period_value` smallint(6) unsigned NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `<DB_PREFIX>settings` (`id`, `template`, `ssl_mode`, `date_format`, `time_format`, `datetime_format`, `time_zone`, `daylight_saving`, `week_startday`, `number_format`, `general_email`, `mailer`, `smtp_secure`, `smtp_host`, `smtp_port`, `smtp_username`, `smtp_password`, `wysiwyg_type`, `rss_feed`, `rss_feed_type`, `rss_last_ids`, `is_offline`, `offline_message`, `caching_allowed`, `cache_lifetime`, `google_rank`, `alexa_rank`, `cron_type`, `cron_run_last_time`, `cron_run_period`, `cron_run_period_value`) VALUES
(1, 'default', 0, 'F d Y', 'H:i:s', 'Y-m-d H:i:s', 'UTC', 1, 1, 'american', 'info@email.me', 'phpMail', 'ssl', '', '', '', '', 'none', 1, 'rss2', '', 0, 'Our website is currently offline for maintenance. Please visit us later.', 0, 5, '', '', 'non-batch', '0000-00-00 00:00:00', 'minute', 1);


DROP TABLE IF EXISTS `<DB_PREFIX>site_info`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>site_info` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL,
  `logo` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `header` text COLLATE utf8_unicode_ci NOT NULL,
  `slogan` text COLLATE utf8_unicode_ci NOT NULL,
  `footer` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_description` text COLLATE utf8_unicode_ci NOT NULL,
  `meta_keywords` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `language_code` (`language_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>site_info` (`id`, `language_code`, `logo`, `header`, `slogan`, `footer`, `meta_title`, `meta_description`, `meta_keywords`) VALUES
(1, 'en', '', 'ApPHP Directy CMF', 'You are always welcome to our site!', 'ApPHP Directy CMF © <a class="footer_link" href="http://www.apphp.com/php-directy-cmf/index.php">ApPHP</a>', 'ApPHP Directy CMF', 'ApPHP Directy CMF', 'php content management framework');


DROP TABLE IF EXISTS `<DB_PREFIX>modules`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `code` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(40) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `version` varchar(5) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `icon` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `tables` varchar(500) CHARACTER SET latin1 NOT NULL,
  `show_on_dashboard` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_installed` tinyint(1) NOT NULL DEFAULT '0',
  `is_system` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_active` tinyint(1) NOT NULL DEFAULT '0',
  `sort_order` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;


DROP TABLE IF EXISTS `<DB_PREFIX>module_settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>module_settings` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `module_code` varchar(20) CHARACTER SET latin1 NOT NULL,
  `property_key` varchar(40) CHARACTER SET latin1 NOT NULL,
  `property_value` text COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `property_type` enum('string','email','numeric','float','positive float','unsigned float','integer','positive integer','unsigned integer','enum','range','bool','html size','text','code','label') CHARACTER SET latin1 NOT NULL,
  `property_source` varchar(255) CHARACTER SET latin1 NOT NULL COMMENT 'for ''enum'' and ''range'' property types',
  `is_required` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `module_code` (`module_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;


DROP TABLE IF EXISTS `<DB_PREFIX>countries`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>countries` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `code` varchar(2) CHARACTER SET latin1 NOT NULL,
  `is_active` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `is_default` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `sort_order` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=237 ;

INSERT INTO `<DB_PREFIX>countries` (`id`, `code`, `is_active`, `is_default`, `sort_order`) VALUES
(1, 'AF', 1, 0, 0),
(2, 'AL', 1, 0, 0),
(3, 'DZ', 1, 0, 0),
(4, 'AS', 1, 0, 0),
(5, 'AD', 1, 0, 0),
(6, 'AO', 1, 0, 0),
(7, 'AI', 1, 0, 0),
(8, 'AQ', 1, 0, 0),
(9, 'AG', 1, 0, 0),
(10, 'AR', 1, 0, 0),
(11, 'AM', 1, 0, 0),
(12, 'AW', 1, 0, 0),
(13, 'AU', 1, 0, 0),
(14, 'AT', 1, 0, 0),
(15, 'AZ', 1, 0, 0),
(16, 'BS', 1, 0, 0),
(17, 'BH', 1, 0, 0),
(18, 'BD', 1, 0, 0),
(19, 'BB', 1, 0, 0),
(20, 'BY', 1, 0, 0),
(21, 'BE', 1, 0, 0),
(22, 'BZ', 1, 0, 0),
(23, 'BJ', 1, 0, 0),
(24, 'BM', 1, 0, 0),
(25, 'BT', 1, 0, 0),
(26, 'BO', 1, 0, 0),
(27, 'BA', 1, 0, 0),
(28, 'BW', 1, 0, 0),
(29, 'BV', 1, 0, 0),
(30, 'BR', 1, 0, 0),
(31, 'IO', 1, 0, 0),
(32, 'VG', 1, 0, 0),
(33, 'BN', 1, 0, 0),
(34, 'BG', 1, 0, 0),
(35, 'BF', 1, 0, 0),
(36, 'BI', 1, 0, 0),
(37, 'KH', 1, 0, 0),
(38, 'CM', 1, 0, 0),
(39, 'CA', 1, 0, 0),
(40, 'CV', 1, 0, 0),
(41, 'KY', 1, 0, 0),
(42, 'CF', 1, 0, 0),
(43, 'TD', 1, 0, 0),
(44, 'CL', 1, 0, 0),
(45, 'CN', 1, 0, 0),
(46, 'CX', 1, 0, 0),
(47, 'CC', 1, 0, 0),
(48, 'CO', 1, 0, 0),
(49, 'KM', 1, 0, 0),
(50, 'CG', 1, 0, 0),
(51, 'CK', 1, 0, 0),
(52, 'CR', 1, 0, 0),
(53, 'CI', 1, 0, 0),
(54, 'HR', 1, 0, 0),
(55, 'CU', 1, 0, 0),
(56, 'CY', 1, 0, 0),
(57, 'CZ', 1, 0, 0),
(58, 'DK', 1, 0, 0),
(59, 'DJ', 1, 0, 0),
(60, 'DM', 1, 0, 0),
(61, 'DO', 1, 0, 0),
(62, 'TP', 1, 0, 0),
(63, 'EC', 1, 0, 0),
(64, 'EG', 1, 0, 0),
(65, 'SV', 1, 0, 0),
(66, 'GQ', 1, 0, 0),
(67, 'ER', 1, 0, 0),
(68, 'EE', 1, 0, 0),
(69, 'ET', 1, 0, 0),
(70, 'FK', 1, 0, 0),
(71, 'FO', 1, 0, 0),
(72, 'FJ', 1, 0, 0),
(73, 'FI', 1, 0, 0),
(74, 'FR', 1, 0, 0),
(75, 'GF', 1, 0, 0),
(76, 'PF', 1, 0, 0),
(77, 'TF', 1, 0, 0),
(78, 'GA', 1, 0, 0),
(79, 'GM', 1, 0, 0),
(80, 'GE', 1, 0, 0),
(81, 'DE', 1, 0, 0),
(82, 'GH', 1, 0, 0),
(83, 'GI', 1, 0, 0),
(84, 'GR', 1, 0, 0),
(85, 'GL', 1, 0, 0),
(86, 'GD', 1, 0, 0),
(87, 'GP', 1, 0, 0),
(88, 'GU', 1, 0, 0),
(89, 'GT', 1, 0, 0),
(90, 'GN', 1, 0, 0),
(91, 'GW', 1, 0, 0),
(92, 'GY', 1, 0, 0),
(93, 'HT', 1, 0, 0),
(94, 'HM', 1, 0, 0),
(95, 'HN', 1, 0, 0),
(96, 'HK', 1, 0, 0),
(97, 'HU', 1, 0, 0),
(98, 'IS', 1, 0, 0),
(99, 'IN', 1, 0, 0),
(100, 'ID', 1, 0, 0),
(101, 'IQ', 1, 0, 0),
(102, 'IE', 1, 0, 0),
(103, 'IR', 1, 0, 0),
(104, 'IL', 1, 0, 0),
(105, 'IT', 1, 0, 0),
(106, 'JM', 1, 0, 0),
(107, 'JP', 1, 0, 0),
(108, 'JO', 1, 0, 0),
(109, 'KZ', 1, 0, 0),
(110, 'KE', 1, 0, 0),
(111, 'KI', 1, 0, 0),
(112, 'KP', 1, 0, 0),
(113, 'KR', 1, 0, 0),
(114, 'KW', 1, 0, 0),
(115, 'KG', 1, 0, 0),
(116, 'LA', 1, 0, 0),
(117, 'LV', 1, 0, 0),
(118, 'LB', 1, 0, 0),
(119, 'LS', 1, 0, 0),
(120, 'LR', 1, 0, 0),
(121, 'LY', 1, 0, 0),
(122, 'LI', 1, 0, 0),
(123, 'LT', 1, 0, 0),
(124, 'LU', 1, 0, 0),
(125, 'MO', 1, 0, 0),
(126, 'MK', 1, 0, 0),
(127, 'MG', 1, 0, 0),
(128, 'MW', 1, 0, 0),
(129, 'MY', 1, 0, 0),
(130, 'MV', 1, 0, 0),
(131, 'ML', 1, 0, 0),
(132, 'MT', 1, 0, 0),
(133, 'MH', 1, 0, 0),
(134, 'MQ', 1, 0, 0),
(135, 'MR', 1, 0, 0),
(136, 'MU', 1, 0, 0),
(137, 'YT', 1, 0, 0),
(138, 'MX', 1, 0, 0),
(139, 'FM', 1, 0, 0),
(140, 'MD', 1, 0, 0),
(141, 'MC', 1, 0, 0),
(142, 'MN', 1, 0, 0),
(143, 'MS', 1, 0, 0),
(144, 'MA', 1, 0, 0),
(145, 'MZ', 1, 0, 0),
(146, 'MM', 1, 0, 0),
(147, 'NA', 1, 0, 0),
(148, 'NR', 1, 0, 0),
(149, 'NP', 1, 0, 0),
(150, 'NL', 1, 0, 0),
(151, 'AN', 1, 0, 0),
(152, 'NC', 1, 0, 0),
(153, 'NZ', 1, 0, 0),
(154, 'NI', 1, 0, 0),
(155, 'NE', 1, 0, 0),
(156, 'NG', 1, 0, 0),
(157, 'NU', 1, 0, 0),
(158, 'NF', 1, 0, 0),
(159, 'MP', 1, 0, 0),
(160, 'NO', 1, 0, 0),
(161, 'OM', 1, 0, 0),
(162, 'PK', 1, 0, 0),
(163, 'PW', 1, 0, 0),
(164, 'PA', 1, 0, 0),
(165, 'PG', 1, 0, 0),
(166, 'PY', 1, 0, 0),
(167, 'PE', 1, 0, 0),
(168, 'PH', 1, 0, 0),
(169, 'PN', 1, 0, 0),
(170, 'PL', 1, 0, 0),
(171, 'PT', 1, 0, 0),
(172, 'PR', 1, 0, 0),
(173, 'QA', 1, 0, 0),
(174, 'RE', 1, 0, 0),
(175, 'RO', 1, 0, 0),
(176, 'RU', 1, 0, 0),
(177, 'RW', 1, 0, 0),
(178, 'LC', 1, 0, 0),
(179, 'WS', 1, 0, 0),
(180, 'SM', 1, 0, 0),
(181, 'ST', 1, 0, 0),
(182, 'SA', 1, 0, 0),
(183, 'SN', 1, 0, 0),
(184, 'RS', 1, 0, 0),
(185, 'SC', 1, 0, 0),
(186, 'SL', 1, 0, 0),
(187, 'SG', 1, 0, 0),
(188, 'SK', 1, 0, 0),
(189, 'SI', 1, 0, 0),
(190, 'SB', 1, 0, 0),
(191, 'SO', 1, 0, 0),
(192, 'ZA', 1, 0, 0),
(193, 'ES', 1, 0, 0),
(194, 'LK', 1, 0, 0),
(195, 'SH', 1, 0, 0),
(196, 'KN', 1, 0, 0),
(197, 'PM', 1, 0, 0),
(198, 'VC', 1, 0, 0),
(199, 'SD', 1, 0, 0),
(200, 'SR', 1, 0, 0),
(201, 'SJ', 1, 0, 0),
(202, 'SZ', 1, 0, 0),
(203, 'SE', 1, 0, 0),
(204, 'CH', 1, 0, 0),
(205, 'SY', 1, 0, 0),
(206, 'TW', 1, 0, 0),
(207, 'TJ', 1, 0, 0),
(208, 'TZ', 1, 0, 0),
(209, 'TH', 1, 0, 0),
(210, 'TG', 1, 0, 0),
(211, 'TK', 1, 0, 0),
(212, 'TO', 1, 0, 0),
(213, 'TT', 1, 0, 0),
(214, 'TN', 1, 0, 0),
(215, 'TR', 1, 0, 0),
(216, 'TM', 1, 0, 0),
(217, 'TC', 1, 0, 0),
(218, 'TV', 1, 0, 0),
(219, 'UG', 1, 0, 0),
(220, 'UA', 1, 0, 0),
(221, 'AE', 1, 0, 0),
(222, 'GB', 1, 0, 999),
(223, 'US', 1, 1, 1000),
(224, 'VI', 1, 0, 0),
(225, 'UY', 1, 0, 0),
(226, 'UZ', 1, 0, 0),
(227, 'VU', 1, 0, 0),
(228, 'VA', 1, 0, 0),
(229, 'VE', 1, 0, 0),
(230, 'VN', 1, 0, 0),
(231, 'WF', 1, 0, 0),
(232, 'EH', 1, 0, 0),
(233, 'YE', 1, 0, 0),
(234, 'ZR', 1, 0, 0),
(235, 'ZM', 1, 0, 0),
(236, 'ZW', 1, 0, 0);


DROP TABLE IF EXISTS `<DB_PREFIX>country_translations`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>country_translations` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `country_code` varchar(2) CHARACTER SET latin1 NOT NULL,
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL DEFAULT 'en',
  `name` varchar(70) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `country_code` (`country_code`),
  KEY `language_code` (`language_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=237 ;

INSERT INTO `<DB_PREFIX>country_translations` (`id`, `country_code`, `language_code`, `name`) VALUES
(1, 'AF', 'en', 'Afghanistan'),
(2, 'AL', 'en', 'Albania'),
(3, 'DZ', 'en', 'Algeria'),
(4, 'AS', 'en', 'American Samoa'),
(5, 'AD', 'en', 'Andorra'),
(6, 'AO', 'en', 'Angola'),
(7, 'AI', 'en', 'Anguilla'),
(8, 'AQ', 'en', 'Antarctica'),
(9, 'AG', 'en', 'Antigua and Barbuda'),
(10, 'AR', 'en', 'Argentina'),
(11, 'AM', 'en', 'Armenia'),
(12, 'AW', 'en', 'Aruba'),
(13, 'AU', 'en', 'Australia'),
(14, 'AT', 'en', 'Austria'),
(15, 'AZ', 'en', 'Azerbaijan'),
(16, 'BS', 'en', 'Bahamas'),
(17, 'BH', 'en', 'Bahrain'),
(18, 'BD', 'en', 'Bangladesh'),
(19, 'BB', 'en', 'Barbados'),
(20, 'BY', 'en', 'Belarus'),
(21, 'BE', 'en', 'Belgium'),
(22, 'BZ', 'en', 'Belize'),
(23, 'BJ', 'en', 'Benin'),
(24, 'BM', 'en', 'Bermuda'),
(25, 'BT', 'en', 'Bhutan'),
(26, 'BO', 'en', 'Bolivia'),
(27, 'BA', 'en', 'Bosnia and Herzegowina'),
(28, 'BW', 'en', 'Botswana'),
(29, 'BV', 'en', 'Bouvet Island'),
(30, 'BR', 'en', 'Brazil'),
(31, 'IO', 'en', 'British Indian Ocean Territory'),
(32, 'VG', 'en', 'British Virgin Islands'),
(33, 'BN', 'en', 'Brunei Darussalam'),
(34, 'BG', 'en', 'Bulgaria'),
(35, 'BF', 'en', 'Burkina Faso'),
(36, 'BI', 'en', 'Burundi'),
(37, 'KH', 'en', 'Cambodia'),
(38, 'CM', 'en', 'Cameroon'),
(39, 'CA', 'en', 'Canada'),
(40, 'CV', 'en', 'Cape Verde'),
(41, 'KY', 'en', 'Cayman Islands'),
(42, 'CF', 'en', 'Central African Republic'),
(43, 'TD', 'en', 'Chad'),
(44, 'CL', 'en', 'Chile'),
(45, 'CN', 'en', 'China'),
(46, 'CX', 'en', 'Christmas Island'),
(47, 'CC', 'en', 'Cocos (Keeling) Islands'),
(48, 'CO', 'en', 'Colombia'),
(49, 'KM', 'en', 'Comoros'),
(50, 'CG', 'en', 'Congo'),
(51, 'CK', 'en', 'Cook Islands'),
(52, 'CR', 'en', 'Costa Rica'),
(53, 'CI', 'en', 'Cote D''ivoire'),
(54, 'HR', 'en', 'Croatia'),
(55, 'CU', 'en', 'Cuba'),
(56, 'CY', 'en', 'Cyprus'),
(57, 'CZ', 'en', 'Czech Republic'),
(58, 'DK', 'en', 'Denmark'),
(59, 'DJ', 'en', 'Djibouti'),
(60, 'DM', 'en', 'Dominica'),
(61, 'DO', 'en', 'Dominican Republic'),
(62, 'TP', 'en', 'East Timor'),
(63, 'EC', 'en', 'Ecuador'),
(64, 'EG', 'en', 'Egypt'),
(65, 'SV', 'en', 'El Salvador'),
(66, 'GQ', 'en', 'Equatorial Guinea'),
(67, 'ER', 'en', 'Eritrea'),
(68, 'EE', 'en', 'Estonia'),
(69, 'ET', 'en', 'Ethiopia'),
(70, 'FK', 'en', 'Falkland Islands (Malvinas)'),
(71, 'FO', 'en', 'Faroe Islands'),
(72, 'FJ', 'en', 'Fiji'),
(73, 'FI', 'en', 'Finland'),
(74, 'FR', 'en', 'France'),
(75, 'GF', 'en', 'French Guiana'),
(76, 'PF', 'en', 'French Polynesia'),
(77, 'TF', 'en', 'French Southern Territories'),
(78, 'GA', 'en', 'Gabon'),
(79, 'GM', 'en', 'Gambia'),
(80, 'GE', 'en', 'Georgia'),
(81, 'DE', 'en', 'Germany'),
(82, 'GH', 'en', 'Ghana'),
(83, 'GI', 'en', 'Gibraltar'),
(84, 'GR', 'en', 'Greece'),
(85, 'GL', 'en', 'Greenland'),
(86, 'GD', 'en', 'Grenada'),
(87, 'GP', 'en', 'Guadeloupe'),
(88, 'GU', 'en', 'Guam'),
(89, 'GT', 'en', 'Guatemala'),
(90, 'GN', 'en', 'Guinea'),
(91, 'GW', 'en', 'Guinea-Bissau'),
(92, 'GY', 'en', 'Guyana'),
(93, 'HT', 'en', 'Haiti'),
(94, 'HM', 'en', 'Heard and McDonald Islands'),
(95, 'HN', 'en', 'Honduras'),
(96, 'HK', 'en', 'Hong Kong'),
(97, 'HU', 'en', 'Hungary'),
(98, 'IS', 'en', 'Iceland'),
(99, 'IN', 'en', 'India'),
(100, 'ID', 'en', 'Indonesia'),
(101, 'IQ', 'en', 'Iraq'),
(102, 'IE', 'en', 'Ireland'),
(103, 'IR', 'en', 'Islamic Republic of Iran'),
(104, 'IL', 'en', 'Israel'),
(105, 'IT', 'en', 'Italy'),
(106, 'JM', 'en', 'Jamaica'),
(107, 'JP', 'en', 'Japan'),
(108, 'JO', 'en', 'Jordan'),
(109, 'KZ', 'en', 'Kazakhstan'),
(110, 'KE', 'en', 'Kenya'),
(111, 'KI', 'en', 'Kiribati'),
(112, 'KP', 'en', 'Democratic People''s Republic of Korea'),
(113, 'KR', 'en', 'Korea, Republic of'),
(114, 'KW', 'en', 'Kuwait'),
(115, 'KG', 'en', 'Kyrgyzstan'),
(116, 'LA', 'en', 'Laos'),
(117, 'LV', 'en', 'Latvia'),
(118, 'LB', 'en', 'Lebanon'),
(119, 'LS', 'en', 'Lesotho'),
(120, 'LR', 'en', 'Liberia'),
(121, 'LY', 'en', 'Libya'),
(122, 'LI', 'en', 'Liechtenstein'),
(123, 'LT', 'en', 'Lithuania'),
(124, 'LU', 'en', 'Luxembourg'),
(125, 'MO', 'en', 'Macau'),
(126, 'MK', 'en', 'Macedonia'),
(127, 'MG', 'en', 'Madagascar'),
(128, 'MW', 'en', 'Malawi'),
(129, 'MY', 'en', 'Malaysia'),
(130, 'MV', 'en', 'Maldives'),
(131, 'ML', 'en', 'Mali'),
(132, 'MT', 'en', 'Malta'),
(133, 'MH', 'en', 'Marshall Islands'),
(134, 'MQ', 'en', 'Martinique'),
(135, 'MR', 'en', 'Mauritania'),
(136, 'MU', 'en', 'Mauritius'),
(137, 'YT', 'en', 'Mayotte'),
(138, 'MX', 'en', 'Mexico'),
(139, 'FM', 'en', 'Micronesia'),
(140, 'MD', 'en', 'Moldova, Republic of'),
(141, 'MC', 'en', 'Monaco'),
(142, 'MN', 'en', 'Mongolia'),
(143, 'MS', 'en', 'Montserrat'),
(144, 'MA', 'en', 'Morocco'),
(145, 'MZ', 'en', 'Mozambique'),
(146, 'MM', 'en', 'Myanmar'),
(147, 'NA', 'en', 'Namibia'),
(148, 'NR', 'en', 'Nauru'),
(149, 'NP', 'en', 'Nepal'),
(150, 'NL', 'en', 'Netherlands'),
(151, 'AN', 'en', 'Netherlands Antilles'),
(152, 'NC', 'en', 'New Caledonia'),
(153, 'NZ', 'en', 'New Zealand'),
(154, 'NI', 'en', 'Nicaragua'),
(155, 'NE', 'en', 'Niger'),
(156, 'NG', 'en', 'Nigeria'),
(157, 'NU', 'en', 'Niue'),
(158, 'NF', 'en', 'Norfolk Island'),
(159, 'MP', 'en', 'Northern Mariana Islands'),
(160, 'NO', 'en', 'Norway'),
(161, 'OM', 'en', 'Oman'),
(162, 'PK', 'en', 'Pakistan'),
(163, 'PW', 'en', 'Palau'),
(164, 'PA', 'en', 'Panama'),
(165, 'PG', 'en', 'Papua New Guinea'),
(166, 'PY', 'en', 'Paraguay'),
(167, 'PE', 'en', 'Peru'),
(168, 'PH', 'en', 'Philippines'),
(169, 'PN', 'en', 'Pitcairn'),
(170, 'PL', 'en', 'Poland'),
(171, 'PT', 'en', 'Portugal'),
(172, 'PR', 'en', 'Puerto Rico'),
(173, 'QA', 'en', 'Qatar'),
(174, 'RE', 'en', 'Reunion'),
(175, 'RO', 'en', 'Romania'),
(176, 'RU', 'en', 'Russian Federation'),
(177, 'RW', 'en', 'Rwanda'),
(178, 'LC', 'en', 'Saint Lucia'),
(179, 'WS', 'en', 'Samoa'),
(180, 'SM', 'en', 'San Marino'),
(181, 'ST', 'en', 'Sao Tome and Principe'),
(182, 'SA', 'en', 'Saudi Arabia'),
(183, 'SN', 'en', 'Senegal'),
(184, 'RS', 'en', 'Republic of Serbia'),
(185, 'SC', 'en', 'Seychelles'),
(186, 'SL', 'en', 'Sierra Leone'),
(187, 'SG', 'en', 'Singapore'),
(188, 'SK', 'en', 'Slovakia'),
(189, 'SI', 'en', 'Slovenia'),
(190, 'SB', 'en', 'Solomon Islands'),
(191, 'SO', 'en', 'Somalia'),
(192, 'ZA', 'en', 'South Africa'),
(193, 'ES', 'en', 'Spain'),
(194, 'LK', 'en', 'Sri Lanka'),
(195, 'SH', 'en', 'St. Helena'),
(196, 'KN', 'en', 'St. Kitts and Nevis'),
(197, 'PM', 'en', 'St. Pierre and Miquelon'),
(198, 'VC', 'en', 'St. Vincent and the Grenadines'),
(199, 'SD', 'en', 'Sudan'),
(200, 'SR', 'en', 'Suriname'),
(201, 'SJ', 'en', 'Svalbard and Jan Mayen Islands'),
(202, 'SZ', 'en', 'Swaziland'),
(203, 'SE', 'en', 'Sweden'),
(204, 'CH', 'en', 'Switzerland'),
(205, 'SY', 'en', 'Syrian Arab Republic'),
(206, 'TW', 'en', 'Taiwan'),
(207, 'TJ', 'en', 'Tajikistan'),
(208, 'TZ', 'en', 'Tanzania, United Republic of'),
(209, 'TH', 'en', 'Thailand'),
(210, 'TG', 'en', 'Togo'),
(211, 'TK', 'en', 'Tokelau'),
(212, 'TO', 'en', 'Tonga'),
(213, 'TT', 'en', 'Trinidad and Tobago'),
(214, 'TN', 'en', 'Tunisia'),
(215, 'TR', 'en', 'Turkey'),
(216, 'TM', 'en', 'Turkmenistan'),
(217, 'TC', 'en', 'Turks and Caicos Islands'),
(218, 'TV', 'en', 'Tuvalu'),
(219, 'UG', 'en', 'Uganda'),
(220, 'UA', 'en', 'Ukraine'),
(221, 'AE', 'en', 'United Arab Emirates'),
(222, 'GB', 'en', 'United Kingdom (GB)'),
(223, 'US', 'en', 'United States'),
(224, 'VI', 'en', 'United States Virgin Islands'),
(225, 'UY', 'en', 'Uruguay'),
(226, 'UZ', 'en', 'Uzbekistan'),
(227, 'VU', 'en', 'Vanuatu'),
(228, 'VA', 'en', 'Vatican City State'),
(229, 'VE', 'en', 'Venezuela'),
(230, 'VN', 'en', 'Vietnam'),
(231, 'WF', 'en', 'Wallis and Futuna Islands'),
(232, 'EH', 'en', 'Western Sahara'),
(233, 'YE', 'en', 'Yemen'),
(234, 'ZR', 'en', 'Zaire'),
(235, 'ZM', 'en', 'Zambia'),
(236, 'ZW', 'en', 'Zimbabwe');


DROP TABLE IF EXISTS `<DB_PREFIX>states`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>states` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_code` varchar(2) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `is_active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `country_code` (`country_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;


DROP TABLE IF EXISTS `<DB_PREFIX>state_translations`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>state_translations` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `state_id` int(11) NOT NULL DEFAULT '0',
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL DEFAULT 'en',
  `name` varchar(70) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state_code` (`state_id`),
  KEY `language_code` (`language_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;


DROP TABLE IF EXISTS `<DB_PREFIX>currencies`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>currencies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `symbol` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(3) CHARACTER SET latin1 NOT NULL,
  `rate` double(10,4) NOT NULL DEFAULT '1.0000',
  `decimals` tinyint(1) NOT NULL DEFAULT '2',
  `symbol_place` enum('before','after') CHARACTER SET latin1 NOT NULL DEFAULT 'before',
  `sort_order` tinyint(1) NOT NULL DEFAULT '0',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

INSERT INTO `<DB_PREFIX>currencies` (`id`, `name`, `symbol`, `code`, `rate`, `decimals`, `symbol_place`, `sort_order`, `is_default`, `is_active`) VALUES
(1, 'US Dollar', '$', 'USD', 1.0000, 2, 'before', 1, 1, 1),
(2, 'Euro', '€', 'EUR', 0.7691, 2, 'before', 2, 0, 1),
(3, 'GB Pound', '£', 'GBP', 0.6555, 2, 'before', 3, 0, 1),
(4, 'AU Dollar', 'A$', 'AUD', 0.9742, 2, 'before', 4, 0, 1),
(5, 'CA Dollar', 'C$', 'CAD', 1.0400, 2, 'before', 5, 0, 1);


DROP TABLE IF EXISTS `<DB_PREFIX>roles`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>roles` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `code` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

INSERT INTO `<DB_PREFIX>roles` (`id`, `code`, `name`, `description`) VALUES
(1, 'owner', 'Site Owner', 'Site Owner is the owner of the site, who has all privileges and could not be removed.\r\n'),
(2, 'mainadmin', 'Main Admin', 'The "Main Administrator" user has top privileges like Site Owner and may be removed only by him.'),
(3, 'admin', 'Simple Admin', 'The "Simple Admin" is required to assist the Main Admins, has different privileges and may be created by Site Owner or Main Admins.');


DROP TABLE IF EXISTS `<DB_PREFIX>privileges`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>privileges` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `category` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `code` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=17 ;

INSERT INTO `<DB_PREFIX>privileges` (`id`, `category`, `code`, `name`, `description`) VALUES
(1, 'site_settings', 'view', 'View Site Settings', 'View settings of the site'),
(2, 'site_settings', 'edit', 'Edit Site Settings', 'Edit settings of the site'),
(3, 'backend_menu', 'view', 'View Backend Menu', 'View Backend menu of the site'),
(4, 'backend_menu', 'edit', 'Edit Backend Menu', 'Edit Backend menu of the site'),
(5, 'frontend_menu', 'view', 'View Frontend Menu', 'View Frontend menu of the site'),
(6, 'frontend_menu', 'edit', 'Edit Frontend Menu', 'Edit Frontend menu of the site'),
(7, 'locations', 'view', 'View Locations', 'View locations and sub-locations'),
(8, 'locations', 'edit', 'Edit Locations', 'Edit locations and sub-locations'),
(9, 'currencies', 'view', 'View Currencies', 'View currencies'),
(10, 'currencies', 'edit', 'Edit Currencies', 'Edit currencies'),
(11, 'languages', 'view', 'View Languages', 'View languages installed on the site'),
(12, 'languages', 'edit', 'Edit Languages', 'Edit languages installed on the site'),
(13, 'vocabulary', 'view', 'View Vocabulary', 'View vocabulary of the site'),
(14, 'vocabulary', 'edit', 'Edit Vocabulary', 'Edit vocabulary of the site'),
(15, 'modules', 'view', 'View Modules', 'View modules settings and management pages'),
(16, 'modules', 'edit', 'Edit Modules', 'Edit, manage, install and uninstall modules');


DROP TABLE IF EXISTS `<DB_PREFIX>role_privileges`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>role_privileges` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `role_id` int(5) NOT NULL,
  `privilege_id` int(5) NOT NULL,
  `is_active` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=49 ;

INSERT INTO `<DB_PREFIX>role_privileges` (`id`, `role_id`, `privilege_id`, `is_active`) VALUES
(1, 1, 1, 1),
(2, 1, 2, 1),
(3, 1, 3, 1),
(4, 1, 4, 1),
(5, 1, 5, 1),
(6, 1, 6, 1),
(7, 1, 7, 1),
(8, 1, 8, 1),
(9, 1, 9, 1),
(10, 1, 10, 1),
(11, 1, 11, 1),
(12, 1, 12, 1),
(13, 1, 13, 1),
(14, 1, 14, 1),
(15, 1, 15, 1),
(16, 1, 16, 1),
(17, 2, 1, 1),
(18, 2, 2, 1),
(19, 2, 3, 1),
(20, 2, 4, 1),
(21, 2, 5, 1),
(22, 2, 6, 1),
(23, 2, 7, 1),
(24, 2, 8, 1),
(25, 2, 9, 1),
(26, 2, 10, 1),
(27, 2, 11, 1),
(28, 2, 12, 1),
(29, 2, 13, 1),
(30, 2, 14, 1),
(31, 2, 15, 1),
(32, 2, 16, 1),
(33, 3, 1, 1),
(34, 3, 2, 1),
(35, 3, 3, 0),
(36, 3, 4, 0),
(37, 3, 5, 0),
(38, 3, 6, 0),
(39, 3, 7, 1),
(40, 3, 8, 0),
(41, 3, 9, 1),
(42, 3, 10, 0),
(43, 3, 11, 0),
(44, 3, 12, 0),
(45, 3, 13, 1),
(46, 3, 14, 0),
(47, 3, 15, 1),
(48, 3, 16, 0);


DROP TABLE IF EXISTS `<DB_PREFIX>backend_menus`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>backend_menus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `module_code` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',  
  `icon` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `is_system` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_visible` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `sort_order` smallint(6) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

INSERT INTO `<DB_PREFIX>backend_menus` (`id`, `parent_id`, `url`, `module_code`, `icon`, `is_system`, `is_visible`, `sort_order`) VALUES
(1, 0, '', '', 'dashboard.png',  1, 1, 1),
(2, 0, '', '', 'accounts.png', 1, 1, 2),
(3, 0, '', '', 'languages.png', 1, 1, 3),
(4, 0, '', '', 'modules.png', 1, 1, 4),
(5, 1, 'backend/', '', '', 1, 1, 1),
(6, 1, 'settings/', '', '', 1, 1, 2),
(7, 1, 'backendMenus/', '', '', 1, 1, 3),
(8, 1, 'frontendMenus/', '', '', 1, 1, 4),
(9, 1, 'locations/', '', '', 1, 1, 5),
(10, 1, 'currencies/', '', '', 1, 1, 6),
(11, 1, 'index/', '', '', 1, 1, 7),
(12, 2, 'admins/', '', '', 1, 1, 1),
(13, 2, 'roles/', '', '', 1, 1, 2),
(14, 2, 'admins/myAccount', '', '', 1, 1, 3),
(15, 3, 'languages/', '', '', 1, 1, 1),
(16, 3, 'vocabulary/', '', '', 1, 1, 2),
(17, 4, 'modules/', '', '', 1, 1, 1);


DROP TABLE IF EXISTS `<DB_PREFIX>backend_menu_translations`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>backend_menu_translations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(11) unsigned NOT NULL DEFAULT '0',
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL,
  `name` varchar(125) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

INSERT INTO `<DB_PREFIX>backend_menu_translations` (`id`, `menu_id`, `language_code`, `name`) VALUES
(1, 1, 'en', 'General'),
(2, 2, 'en', 'Accounts'),
(3, 3, 'en', 'Languages Settings'),
(4, 4, 'en', 'Modules'),
(5, 5, 'en', 'Dashboard'),
(6, 6, 'en', 'Site Settings'),
(7, 7, 'en', 'Backend Menu'),
(8, 8, 'en', 'Frontend Menu'),
(9, 9, 'en', 'Locations'),
(10, 10, 'en', 'Currencies'),
(11, 11, 'en', 'Preview'),
(12, 12, 'en', 'Admins'),
(13, 13, 'en', 'Roles & Privileges'),
(14, 14, 'en', 'My Account'),
(15, 15, 'en', 'Languages'),
(16, 16, 'en', 'Vocabulary'),
(17, 17, 'en', 'Modules Management');


DROP TABLE IF EXISTS `<DB_PREFIX>frontend_menus`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>frontend_menus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT '0',
  `menu_type` enum('pagelink','modulelink','moduleblock') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'pagelink',
  `module_code` varchar(20) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',  
  `link_url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `link_target` enum('','_self','_blank') CHARACTER SET latin1 NOT NULL,
  `placement` enum('','left','top','right','bottom','hidden') CHARACTER SET latin1 NOT NULL,
  `sort_order` smallint(6) DEFAULT '0',
  `access_level` enum('public','registered') CHARACTER SET latin1 NOT NULL DEFAULT 'public',
  PRIMARY KEY (`id`),
  KEY `placement` (`placement`),
  KEY `access_level` (`access_level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2;

INSERT INTO `<DB_PREFIX>frontend_menus` (`id`, `parent_id`, `menu_type`, `module_code`, `link_url`, `link_target`, `placement`, `sort_order`, `access_level`) VALUES
(1, 0, 'pagelink', '', 'index/index', '', 'top', 1, 'public');


DROP TABLE IF EXISTS `<DB_PREFIX>frontend_menu_translation`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>frontend_menu_translations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_id` int(11) DEFAULT '0',
  `language_code` varchar(2) CHARACTER SET latin1 NOT NULL DEFAULT 'en',
  `name` varchar(125) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `language_code` (`language_code`),
  KEY `menu_id` (`menu_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2;

INSERT INTO `<DB_PREFIX>frontend_menu_translations` (`id`, `menu_id`, `language_code`, `name`) VALUES
(1, 1, 'en', 'Home');
